Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Spatial Ref Service
Post a CRS persistable re...
Post a request containing a CRS persistable reference to get the PROJ.4 notation. The result can be used for populating the mapLarge CRS.
Security
bearer
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-spatial-reference-service/persistableReference/toProj4
curl -i -X POST \
https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"persistableReference": "{\"authCode\":{\"auth\":\"EPSG\",\"code\":\"4326\"},\"type\":\"LBC\",\"ver\":\"PE_10_3_1\",\"name\":\"GCS_WGS_1984\",\"wkt\":\"GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433],AUTHORITY[\\\"EPSG\\\",4326]]\"}"
}'Response
{ "proj4": "+proj=utm +zone=31 +datum=WGS84 +units=m +no_defs" }